<script>
	import Vue from 'vue'
	export default {
		onLaunch: function() {
			uni.getSystemInfo({
				success: function(e) {
					// #ifndef MP
					Vue.prototype.StatusBar = e.statusBarHeight;
					if (e.platform == 'android') {
						Vue.prototype.CustomBar = e.statusBarHeight + 50;
					} else {
						Vue.prototype.CustomBar = e.statusBarHeight + 45;
					};
					// #endif
					// #ifdef MP-WEIXIN
					Vue.prototype.StatusBar = e.statusBarHeight;
					let custom = wx.getMenuButtonBoundingClientRect();
					Vue.prototype.Custom = custom;
					Vue.prototype.CustomBar = custom.bottom + custom.top - e.statusBarHeight;
					// #endif		
					// #ifdef MP-ALIPAY
					Vue.prototype.StatusBar = e.statusBarHeight;
					Vue.prototype.CustomBar = e.statusBarHeight + e.titleBarHeight;
					// #endif
				}
			});
			
	
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
		
		}
		
	}
</script>

<style>
  @import "colorui/main.css";
  @import "colorui/icon.css";
  @import "common/common.scss"; 
  @import "uview-ui/index.scss";
	/* @import "uview-ui/index.scss"; */
	/*每个页面公共css */
  .uni-input-placeholder{
    color: #B1B1B1!important;
  }

  uni-checkbox .uni-checkbox-input {
    border-color: #CCCCCC!important;
    border-radius: 20px!important;
    color: #FC6035!important;
    width: 20px!important;
    height: 20px!important;
    margin-right: 5px!important;
  }
</style>
